DiskWriteAttributes (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, interface: DiskWriteAttributes

Package org.apache.geode.cache

# Interface DiskWriteAttributes

All Superinterfaces:
  `Serializable`

@Deprecated public interface DiskWriteAttributes extends Serializable
Deprecated.
as of 6.5 use `DiskStore` instead
Immutable parameter object for describing how region entries should be written to disk.

Since:
  GemFire 3.2
See Also:
  - `DiskWriteAttributesFactory`
  - `AttributesFactory.setDiskWriteAttributes(org.apache.geode.cache.DiskWriteAttributes)`
  - `RegionAttributes.getDiskWriteAttributes()`
  - `Region.writeToDisk()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  Deprecated.
  Two `DiskWriteAttributes` are equal if the both specify the synchronous writes, or they both specify asynchronous writes with the same time interval, bytes threshold, maxOplogSize and compaction values
  `long`
  `getBytesThreshold()`
  Deprecated.
  as of 6.5 use `DiskStore.getQueueSize()` instead.
  `int`
  `getMaxOplogSize()`
  Deprecated.
  as of 6.5 use `DiskStore.getMaxOplogSize()` instead.
  `long`
  `getTimeInterval()`
  Deprecated.
  as of 6.5 use `DiskStore.getTimeInterval()` instead.
  `boolean`
  `isRollOplogs()`
  Deprecated.
  Returns true if the oplogs is to be rolled to a more condensed format (on disk)
  `boolean`
  `isSynchronous()`
  Deprecated.
  as of 6.5 use `RegionAttributes.isDiskSynchronous()` instead.

- ## Method Details

  - ### isSynchronous

    @Deprecated boolean isSynchronous()
    Deprecated.
    as of 6.5 use `RegionAttributes.isDiskSynchronous()` instead.
    Returns true if this `DiskWriteAttributes` object configures synchronous writes.
    Returns:
      Returns true if writes to disk are synchronous and false otherwise

  - ### isRollOplogs

    boolean isRollOplogs()
    Deprecated.
    Returns true if the oplogs is to be rolled to a more condensed format (on disk)
    Returns:
      Returns true if the oplogs is to be rolled or false otherwise

  - ### getMaxOplogSize

    @Deprecated int getMaxOplogSize()
    Deprecated.
    as of 6.5 use `DiskStore.getMaxOplogSize()` instead.
    Get the maximum size in megabytes a single oplog (operation log) file should be
    Returns:
      the maximum size the operations log file can be

  - ### getTimeInterval

    @Deprecated long getTimeInterval()
    Deprecated.
    as of 6.5 use `DiskStore.getTimeInterval()` instead.
    Returns the number of milliseconds that can elapse before unwritten data is written to disk. If this `DiskWriteAttributes` configures synchronous writing, then `timeInterval` has no meaning.
    Returns:
      Returns the time interval in milliseconds that can elapse between two writes to disk

  - ### getBytesThreshold

    @Deprecated long getBytesThreshold()
    Deprecated.
    as of 6.5 use `DiskStore.getQueueSize()` instead.
    Returns the number of unwritten bytes of data that can be enqueued before being written to disk. If this `DiskWriteAttributes` configures synchronous writing, then `bytesThreshold` has no meaning.
    Returns:
      Returns the number of bytes that can be buffered before being written to disk

  - ### equals

    boolean equals(Object o)
    Deprecated.
    Two `DiskWriteAttributes` are equal if the both specify the synchronous writes, or they both specify asynchronous writes with the same time interval, bytes threshold, maxOplogSize and compaction values
    Overrides:
      `equals` in class `Object`
    Returns:
      true if o is equal else false